org.apache.bcel.classfile

## Class ConstantUtf8

- java.lang.Object
- - org.apache.bcel.classfile.Constant
  - - org.apache.bcel.classfile.ConstantUtf8

- All Implemented Interfaces:
    Cloneable, Node

      public final class ConstantUtf8
      extends Constant

  This class is derived from the abstract `Constant` and represents a reference to a Utf8 encoded string.
  Version:
    $Id: ConstantUtf8.java 1806200 2017-08-25 16:33:06Z ggregory $
  See Also:
    `Constant`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Constant

      `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantUtf8(ConstantUtf8 c)` Initialize from another object.
    `ConstantUtf8(String bytes)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `void` | `dump(DataOutputStream file)` Dump String in Utf8 format to file stream.
    `String` | `getBytes()`
    `static ConstantUtf8` | `getCachedInstance(String s)`
    `static ConstantUtf8` | `getInstance(DataInput input)`
    `static ConstantUtf8` | `getInstance(String s)`
    `void` | `setBytes(String bytes)` Deprecated. (since 6.0)
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Constant

      `clone, copy, equals, getComparator, getTag, hashCode, readConstant, setComparator`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantUtf8

          public ConstantUtf8(ConstantUtf8 c)

      Initialize from another object.

    - #### ConstantUtf8

          public ConstantUtf8(String bytes)

      Parameters:
        `bytes` - Data

  - ### Method Detail

    - #### getCachedInstance

          public static ConstantUtf8 getCachedInstance(String s)

      Since:
        6.0

    - #### getInstance

          public static ConstantUtf8 getInstance(String s)

      Since:
        6.0

    - #### getInstance

          public static ConstantUtf8 getInstance(DataInput input)
                                          throws IOException

      Throws:
        `IOException`
      Since:
        6.0

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Constant`
      Parameters:
        `v` - Visitor object

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Dump String in Utf8 format to file stream.
      Specified by:
        `dump` in class `Constant`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getBytes

          public final String getBytes()

      Returns:
        Data converted to string.

    - #### setBytes

          @Deprecated
          public final void setBytes(String bytes)

      Deprecated. (since 6.0)
      Parameters:
        `bytes` - the raw bytes of this Utf-8

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Constant`
      Returns:
        String representation

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.